"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storePrune = storePrune;
const logger_1 = require("@pnpm/logger");
const cleanExpiredDlxCache_1 = require("./cleanExpiredDlxCache");
async function storePrune(opts) {
    const reporter = opts?.reporter;
    if ((reporter != null) && typeof reporter === 'function') {
        logger_1.streamParser.on('data', reporter);
    }
    await opts.storeController.prune(opts.removeAlienFiles);
    await opts.storeController.close();
    await (0, cleanExpiredDlxCache_1.cleanExpiredDlxCache)({
        cacheDir: opts.cacheDir,
        dlxCacheMaxAge: opts.dlxCacheMaxAge,
        now: new Date(),
    });
    if ((reporter != null) && typeof reporter === 'function') {
        logger_1.streamParser.removeListener('data', reporter);
    }
}
//# sourceMappingURL=storePrune.js.map